local assignSoldier = ...

--------------------------------------------------------------------------
local ASSIGN_SOLDIER_PATH_AX_COMP = {
	TypeName = "ASSIGN_SOLDIER_PATH_AX_COMP",
	ParentType = "COMPONENT",
	Properties = {
	}
}

--------------------------------------------------------------------------
function ASSIGN_SOLDIER_PATH_AX_COMP:create()
end

--------------------------------------------------------------------------
function ASSIGN_SOLDIER_PATH_AX_COMP:init()
    assignSoldier:msgBox("AssignSoldier: ASSIGN_SOLDIER_PATH_AX_COMP:init")
    local _currentObject = self:getOwner() 
    for i=0,20, 1 do
        local _parent = _currentObject:getParent()
        if _parent == nil then    
            assignSoldier:msgBox("AssignSoldier: MONUMENT not found")
            return
        end
        if _parent.Name == "STONE_GATE_V5_MONUMENT_NAME" then    
            _parent:forEachChildRecursive(function(_decoration)
                if _decoration == nil then
                    assignSoldier:msgBox("AssignSoldier: _decoration not found")
                    return
                end
                assignSoldier:msgBox("AssignSoldier: entry for each " .. _decoration.Name)
                local guardPosition = _decoration:getComponent("ASSIGN_SOLDIER_PATH_AEND_COMP")
                if (guardPosition == nil) then
                    assignSoldier:msgBox("AssignSoldier: not ASSIGN_SOLDIER_PATH_AEND_COMP")
                    return
                end
                if (guardPosition._isSet == nil) or (guardPosition._isSet) then
                    assignSoldier:msgBox("AssignSoldier: ASSIGN_SOLDIER_PATH_AEND_COMP already set")
                    return
                end
                assignSoldier:msgBox("AssignSoldier: call registerPath")
                guardPosition:registerPath(self:getOwner())
                assignSoldier:msgBox("AssignSoldier: after call registerPath")
            end)
            break
        end
        _currentObject = _parent
    end
end

--------------------------------------------------------------------------
function ASSIGN_SOLDIER_PATH_AX_COMP:update()
end

--------------------------------------------------------------------------
assignSoldier:registerClass(ASSIGN_SOLDIER_PATH_AX_COMP)


