local AssignSoldier = ...

-- Register all stone gate set building parts and their properties
AssignSoldier:dofile("scripts/compPathA.lua")
AssignSoldier:dofile("scripts/compPathAccess.lua")
AssignSoldier:dofile("scripts/compPathAEnd.lua")
AssignSoldier:dofile("scripts/compPathAx.lua")
AssignSoldier:dofile("scripts/compPathABegin.lua")
AssignSoldier:dofile("scripts/basicWorkplace.lua")
AssignSoldier:dofile("scripts/behavior_tree.lua")

-- Register the stone gate set monument
AssignSoldier:override({
    Id = "STONE_GATE_V5_MONUMENT",
    BuildingPartSetList = {
                Action = "APPEND",
		{
			Name = "STONE_GATE_V5_ENTRANCE_PARTSETLIST_NAME",
                	BuildingPartList = {
                            _assignSoldierPrefix .. "_ARROW_PART", 
                            _assignSoldierPrefix .. "_KEEP_TRAP_PART", 
                            _assignSoldierPrefix .. "_KEEP_TRAP_ACCESS_PART", 
                            _assignSoldierPrefix .. "_AX_PART",
                            _assignSoldierPrefix .. "_ABEGIN_PART"
                        }
                }
    }
})
